import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 系统设置-system
import code from '@common/src/store/system/code';
// 用户管理-user
import personal from '@common/src/store/user/personal';
import organization from '@common/src/store/user/organization';
import expert from '@common/src/store/user/expert';
// 聊天
import personRoom from '@common/src/store/user/personRoom';
import personChat from '@common/src/store/user/personChat';
// 信息类数据管理
// 产品信息
import product from '@common/src/store/news/product';
import column from '@common/src/store/news/column';
import news from '@common/src/store/news/news';
// 展会
// 科技成果
import dock from '@common/src/store/dock/dock';
import dockChat from '@common/src/store/dock/dockChat';
import dockImgtxt from '@common/src/store/dock/dockImgtxt';
import dockTranscation from '@common/src/store/dock/dockTranscation';
import dockUser from '@common/src/store/dock/dockUser';
import dockVideo from '@common/src/store/dock/dockVideo';
// 科技频道
import channel from '@common/src/store/channel/channel';
import channelVideo from '@common/src/store/channel/channelVideo';
// 培训问诊
import trainLive from '@common/src/store/consultation/trainLive';
import trainChat from '@common/src/store/consultation/trainChat';
import trainUser from '@common/src/store/consultation/trainUser';
import trainVideo from '@common/src/store/consultation/trainVideo';
// 科教之旅,预约服务
import kjzlMedium from '@common/src/store/kjzl/kjzlMedium';
import kjzlOrder from '@common/src/store/kjzl/kjzlOrder';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    code,
    personal,
    organization,
    expert,
    personRoom,
    personChat,
    product,
    column,
    news,
    dock,
    dockChat,
    dockImgtxt,
    dockTranscation,
    dockUser,
    dockVideo,
    channel,
    channelVideo,
    trainLive,
    trainChat,
    trainUser,
    trainVideo,
    kjzlMedium,
    kjzlOrder,
  },
});
